## org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts
Class SQLRootEditPart

    java.lang.Object
      org.eclipse.gef.editparts.AbstractEditPart
          org.eclipse.gef.editparts.AbstractGraphicalEditPart
              org.eclipse.datatools.sqltools.sqlbuilder.views.graph.editparts.SQLRootEditPart

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, ISQLEditPart, org.eclipse.gef.EditPart, org.eclipse.gef.GraphicalEditPart, org.eclipse.gef.RequestConstants

    public class SQLRootEditPart

extends org.eclipse.gef.editparts.AbstractGraphicalEditPart
implements ISQLEditPart

Field Summary

Fields inherited from interface org.eclipse.gef.EditPart
`SELECTED, SELECTED_NONE, SELECTED_PRIMARY`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`SQLRootEditPart(SQLDomainModel domainModel)`

Method Summary
`java.util.List` `getModelChildren()` Called by framework method to get the model children
`SQLQueryObject` `getStatement()`
`java.lang.String` `toString()`
`void` `update(java.lang.Object parent, java.lang.Object child)` `update` should be called with the parent and child object involved in the change

Methods inherited from class org.eclipse.gef.editparts.AbstractGraphicalEditPart
`activate, addNodeListener, addNotify, deactivate, getAdapter, getContentPane, getDragTracker, getFigure, getSourceConnections, getTargetConnections, refresh, removeNodeListener, removeNotify, setLayoutConstraint`

Methods inherited from class org.eclipse.gef.editparts.AbstractEditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.EditPart
`addEditPartListener, eraseSourceFeedback, eraseTargetFeedback, getChildren, getCommand, getEditPolicy, getModel, getParent, getRoot, getSelected, getTargetEditPart, getViewer, hasFocus, installEditPolicy, isActive, isSelectable, performRequest, removeEditPartListener, removeEditPolicy, setFocus, setModel, setParent, setSelected, showSourceFeedback, showTargetFeedback, understandsRequest`

Constructor Detail

### SQLRootEditPart

    public SQLRootEditPart(SQLDomainModel domainModel)

Method Detail

### getModelChildren

    public java.util.List getModelChildren()

  Called by framework method to get the model children

  Overrides:
    `getModelChildren` in class `org.eclipse.gef.editparts.AbstractEditPart`

### update

    public void update(java.lang.Object parent,
                       java.lang.Object child)

  `update` should be called with the parent and child object involved in the change

  Parameters:
    `parent` - an `Object` value
    `child` - an `Object` value

### getStatement

    public SQLQueryObject getStatement()

  Specified by:
    `getStatement` in interface `ISQLEditPart`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.gef.editparts.AbstractEditPart`